Bug 1857651 - [oVirt] Installer fails when overriding template due to terraform error
Summary: [oVirt] Installer fails when overriding template due to terraform error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.6.0
Assignee: Gal Zaidman
QA Contact: Lucie Leistnerova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-16 09:32 UTC by Gal Zaidman
Modified: 2020-10-27 16:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:15:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 3897 0 None closed Bug 1857651: oVirt, add condition for non existing tmp-vm 2020-10-20 11:11:59 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:15:43 UTC

Description Gal Zaidman 2020-07-16 09:32:31 UTC
Description of problem:
PR https://github.com/openshift/installer/pull/3868 added the tmp vm as an output variable. This cause the installer to fail when that resource is not created i.e when we don't let the installer create the template, like we do on CI.
This caused all 4.6 and master PR to be red and fail before starting the installtion.
We need to fix and add a condition to set the var only when the resource is created

Comment 3 Gal Zaidman 2020-07-30 11:07:02 UTC
Verified on CI

Comment 5 errata-xmlrpc 2020-10-27 16:15:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.